GET /ads/insights
Ads insights (impressions, reach, clicks, spend, cpc, cpm, ctr, actions) of an ad account, campaign, ad set or ad
GET
BearerAuthheader
AuthorizationBearer <token>API key sk_...
accountId*stringConnected Facebook Page account id
objectId*stringact_..., campaign, ad set or ad id
datePreset?stringlast_7d (default), last_30d, ...
since?stringYYYY-MM-DD
until?stringYYYY-MM-DD
level?stringaccount | campaign | adset | ad
breakdowns?stringComma list, e.g. age,gender
timeIncrement?string1 for daily rows
fields?stringComma list of insight fields
{objectId, insights, mock}
application/json- response
objectId?stringinsights?array<>mock?booleancurl -X GET 'https://example.com/api/v1/ads/insights?accountId=string&objectId=string'Example Response
{ "objectId": "string", "insights": [ {} ], "mock": true}